Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.evaluation
Class IntrinsicGroupEvaluation

    java.lang.Object
      infomat.evaluation.IntrinsicGroupEvaluation

    public class IntrinsicGroupEvaluation

extends java.lang.Object

For calculating intrinsic quality measures per IObjectGroup.

Field Summary
`private ISimilarity` | `similarity`

Constructor Summary
`IntrinsicGroupEvaluation(ISimilarity similarity)`

Method Summary
`java.util.HashMap<IObjectGroup,Measure>` | `getGroupGroupingSimilarityMap(java.util.Vector<IObjectGroup> groups, IObjectGrouping grouping)`
`java.util.HashMap<IObjectGroup,Measure>` | `getSelfSimilarityMap(java.util.Vector<IObjectGroup> groups)`
`double` | `groupGroupingSimilarity(IObjectGroup group, IObjectGrouping grouping)` Uses getGroupRepresentation() in the ISimilarity.
`Measure` | `groupGroupingSimilarityMeasure(IObjectGroup group, IObjectGrouping grouping)`
`double` | `selfSimilarity(IObjectGroup group)`
`Measure` | `selfSimilarityMeasure(IObjectGroup group)`
`double` | `weightedAvgGroupGroupingSimilarity(IObjectGrouping grouping)`
`double` | `weightedAvgSelfSimilarity(IObjectGrouping grouping)`
`double` | `weightedAvgSelfSimilarity(java.util.Vector<IObjectGroup> groups)` Uses getGroupRepresentation() in the ISimilarity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### similarity

    private ISimilarity similarity

Constructor Detail

### IntrinsicGroupEvaluation

    public IntrinsicGroupEvaluation(ISimilarity similarity)

Method Detail

### selfSimilarity

    public double selfSimilarity(IObjectGroup group)

### groupGroupingSimilarity

    public double groupGroupingSimilarity(IObjectGroup group,
                                          IObjectGrouping grouping)

  Uses getGroupRepresentation() in the ISimilarity. Treats it as if it is a centroid, to calcualate the average weight of all IObject:s to all IObject:s in the IObjectGroup. The similarity of all IObject:s to them selves are subtracted, so it becomes the the average similarity BETWEEN all IObject:s.

### weightedAvgSelfSimilarity

    public double weightedAvgSelfSimilarity(java.util.Vector<IObjectGroup> groups)

  Uses getGroupRepresentation() in the ISimilarity. Treats it as if it is a centroid, to calcualate the average weight of all IObject:s of the IObjectGroup to all IObject:s in the IObjectGrouping. The similarity of all IObject:s to them selves are subtracted, so it becomes the the average similarity BETWEEN all IObject:s in the group to the all IObject:s in the grouping.

### weightedAvgSelfSimilarity

    public double weightedAvgSelfSimilarity(IObjectGrouping grouping)

### weightedAvgGroupGroupingSimilarity

    public double weightedAvgGroupGroupingSimilarity(IObjectGrouping grouping)

### selfSimilarityMeasure

    public Measure selfSimilarityMeasure(IObjectGroup group)

### groupGroupingSimilarityMeasure

    public Measure groupGroupingSimilarityMeasure(IObjectGroup group,
                                                  IObjectGrouping grouping)

### getSelfSimilarityMap

    public java.util.HashMap<IObjectGroup,Measure> getSelfSimilarityMap(java.util.Vector<IObjectGroup> groups)

### getGroupGroupingSimilarityMap

    public java.util.HashMap<IObjectGroup,Measure> getGroupGroupingSimilarityMap(java.util.Vector<IObjectGroup> groups,
                                                                                 IObjectGrouping grouping)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD